Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-4305

Overview

Vulnerability Score 4.0 4.0
CVE Id CVE-2011-4305
Last Modified 16 Jul 2012 12:00:00
Published 11 Jul 2012 06:26:11
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2011-4305

Summary

message/refresh.php in Moodle 1.9.x before 1.9.14 allows remote authenticated users to cause a denial of service (infinite request loop) via a URL that specifies a zero wait time for message refreshing.

Vulnerable Systems

Application

  • Moodle 1.9

  • Moodle 1.9.1

  • Moodle 1.9.10

  • Moodle 1.9.11

  • Moodle 1.9.12

  • Moodle 1.9.13

  • Moodle 1.9.2

  • Moodle 1.9.3

  • Moodle 1.9.4

  • Moodle 1.9.5

  • Moodle 1.9.6

  • Moodle 1.9.7

  • Moodle 1.9.8

  • Moodle 1.9.9


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=747444

CONFIRM - http://moodle.org/mod/forum/discuss.php?d=188318

CONFIRM - http://git.moodle.org/gw?p=moodle.git;a=commit;h=97f258fabb3ebfa7acc7c02cb59de92b01710f99


Last Updated: 27 May 2016 10:54:51